summaryrefslogtreecommitdiff
path: root/dev-python/python-socketio/python-socketio-5.17.0.ebuild
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-24 17:00:15 -0500
committerCrucible <crucible@localhost>2026-09-24 17:00:15 -0500
commit80e6fcef01171b9705c9c9ffefb41bc4c0b43256 (patch)
treeec29cf3f4a6121d38563db399369efe625967680 /dev-python/python-socketio/python-socketio-5.17.0.ebuild
parent6295f37a70d50a32011b5a1ee7793fea329cd5f2 (diff)
downloadsrcux-80e6fcef01171b9705c9c9ffefb41bc4c0b43256.tar.gz
srcux-80e6fcef01171b9705c9c9ffefb41bc4c0b43256.tar.xz
srcux-80e6fcef01171b9705c9c9ffefb41bc4c0b43256.zip
Publish srcux candidate 0000000386-20260924-165828
Diffstat (limited to 'dev-python/python-socketio/python-socketio-5.17.0.ebuild')
-rw-r--r--dev-python/python-socketio/python-socketio-5.17.0.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/python-socketio/python-socketio-5.17.0.ebuild b/dev-python/python-socketio/python-socketio-5.17.0.ebuild
new file mode 100644
index 000000000000..2d5f4ec900d1
--- /dev/null
+++ b/dev-python/python-socketio/python-socketio-5.17.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python implementation of the Socket.IO realtime server"
+HOMEPAGE="
+ https://python-socketio.readthedocs.org/
+ https://github.com/miguelgrinberg/python-socketio/
+ https://pypi.org/project/python-socketio
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="client asyncio-client"
+
+RDEPEND="dev-python/bidict[${PYTHON_USEDEP}]
+ >=dev-python/python-engineio-4.0.0[${PYTHON_USEDEP}]
+ client? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+ )
+ asyncio-client? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/websockets[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# pypi tarball does not contain tests
+RESTRICT="test"
+
+src_prepare() {
+ # `project.license` as a TOML table is deprecated, so we remove it
+ sed -ie "/license =/d" pyproject.toml \
+ || die "Failed to remove deprecated project.license"
+ eapply_user
+}